System.Xml 2.0.0.0 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Class | System.AttributeTargets.Struct | System.AttributeTargets.Enum | System.AttributeTargets.Interface | System.AttributeTargets.All)

Use the to increase the performance of a Web service client application.

A typical method of using this attribute is as follows:

Create a client proxy for a Web service.

Open the machine.config file.

Under the system.diagnostics element, add a value under the <switches> element to keep the compiled files:

`<system.diagnostics> <switches> <add name="XmlSerialization.Compilation" value="4"/> </switches> </system.diagnostics>`

Compile the proxy.

Run the proxy application.

Open a command window and navigate to the \Temp directory used by the to cache files.

`cd %temp%`

Find the last file created using the dir command with the /OD switch.

`dir *.vb /OD`

Compile the file into an assembly. Name the assembly.

Edit the original proxy code by applying the to the class. Specify the assembly name, as shown in the following C# code.

`[XmlSerializerAssemblyAttribute(AssemblyName="hello.serializer")] public class Hello: System.Web.Services.Protocols.SoapHttpClientProtocol { // Proxy code not shown. }` `<XmlSerializerAssemblyAttribute(AssemblyName:="hello.serializer")> _ Public Class Hello Implements System.Web.Services.Protocols.SoapHttpClientProtocol ' Proxy code not shown. End Class`

Applied to a Web service client proxy, enables you to specify an assembly that contains custom-made serializers.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified assembly name.

  The simple, unencrypted name of the assembly.
- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class with the specified assembly name and location of the assembly.

  The simple, unencrypted name of the assembly.
  A string that is the URL location of the assembly.
- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the name of the assembly that contains serializers for a specific set of types.

- Property
  2.0.0.0
  4.0.0.0
  System.String To be added. To be added.

  Gets or sets the location of the assembly that contains the serializers.